org.apache.hadoop.yarn.api.records.impl.pb

## Class YarnClusterMetricsPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.YarnClusterMetrics
  - - org.apache.hadoop.yarn.api.records.impl.pb.YarnClusterMetricsPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class YarnClusterMetricsPBImpl
      extends org.apache.hadoop.yarn.api.records.YarnClusterMetrics

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `YarnClusterMetricsPBImpl()`
    `YarnClusterMetricsPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.YarnClusterMetricsProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `int` | `getNumActiveNodeManagers()`
    `int` | `getNumDecommissionedNodeManagers()`
    `int` | `getNumLostNodeManagers()`
    `int` | `getNumNodeManagers()`
    `int` | `getNumRebootedNodeManagers()`
    `int` | `getNumUnhealthyNodeManagers()`
    `org.apache.hadoop.yarn.proto.YarnProtos.YarnClusterMetricsProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setNumActiveNodeManagers(int numActiveNodeManagers)`
    `void` | `setNumDecommissionedNodeManagers(int numDecommissionedNodeManagers)`
    `void` | `setNumLostNodeManagers(int numLostNodeManagers)`
    `void` | `setNumNodeManagers(int numNodeManagers)`
    `void` | `setNumRebootedNodeManagers(int numRebootedNodeManagers)`
    `void` | `setNumUnhealthyNodeManagers(int numUnhealthyNodeManagers)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.YarnClusterMetrics

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### YarnClusterMetricsPBImpl

          public YarnClusterMetricsPBImpl()

    - #### YarnClusterMetricsPBImpl

          public YarnClusterMetricsPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.YarnClusterMetricsProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.YarnClusterMetricsProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNumNodeManagers

          public int getNumNodeManagers()

      Specified by:
        `getNumNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### setNumNodeManagers

          public void setNumNodeManagers(int numNodeManagers)

      Specified by:
        `setNumNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### getNumDecommissionedNodeManagers

          public int getNumDecommissionedNodeManagers()

      Specified by:
        `getNumDecommissionedNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### setNumDecommissionedNodeManagers

          public void setNumDecommissionedNodeManagers(int numDecommissionedNodeManagers)

      Specified by:
        `setNumDecommissionedNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### getNumActiveNodeManagers

          public int getNumActiveNodeManagers()

      Specified by:
        `getNumActiveNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### setNumActiveNodeManagers

          public void setNumActiveNodeManagers(int numActiveNodeManagers)

      Specified by:
        `setNumActiveNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### getNumLostNodeManagers

          public int getNumLostNodeManagers()

      Specified by:
        `getNumLostNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### setNumLostNodeManagers

          public void setNumLostNodeManagers(int numLostNodeManagers)

      Specified by:
        `setNumLostNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### getNumUnhealthyNodeManagers

          public int getNumUnhealthyNodeManagers()

      Specified by:
        `getNumUnhealthyNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### setNumUnhealthyNodeManagers

          public void setNumUnhealthyNodeManagers(int numUnhealthyNodeManagers)

      Specified by:
        `setNumUnhealthyNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### getNumRebootedNodeManagers

          public int getNumRebootedNodeManagers()

      Specified by:
        `getNumRebootedNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

    - #### setNumRebootedNodeManagers

          public void setNumRebootedNodeManagers(int numRebootedNodeManagers)

      Specified by:
        `setNumRebootedNodeManagers` in class `org.apache.hadoop.yarn.api.records.YarnClusterMetrics`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.